<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
defined('MAXIMUS') OR die('Access denied friend directly');

$module_name = "News";
get_lang($module_name);
$pagetitle = "- "._RECOMMEND."";

function FriendSend($sid) {
    global $user, $cookie, $prefix, $db, $user_prefix, $module_name;
    $sid = $db->XMFnum($sid);
    if(!isset($sid)) { exit(); }
    incoh();
    $row = $db->sql_fetchrow($db->sql_query("SELECT title FROM ".TABLE_STORIES." WHERE sid='$sid'"));
    $title = stripslashes(check_html($row['title'], "nohtml"));
    title(""._FRIEND."");
    Max_OpenTable();
    echo "<center><font class=\"content\"><b>"._FRIEND."</b></font></center>";
    br('2');
    echo ""._YOUSENDSTORY." <b>$title</b> "._TOAFRIEND."";
    br('2');
    echo "<form action=\"modules.php?name=$module_name&amp;file=friend\" method=\"post\">"
		."<input type=\"hidden\" name=\"sid\" value=\"$sid\" />";
    if (defined('USER_ALLOW')) {
		$row2 = $db->sql_fetchrow($db->sql_query("SELECT `name`, `user_email` FROM `".TABLE_USERS."` WHERE `username`='$cookie[1]'"));
		$yn = stripslashes($row2['name']);
		$ye = stripslashes($row2['user_email']);
    }
    echo "<b>"._FYOURNAME." </b> <input type=\"text\" name=\"yname\" value=\"$yn\" /><br /><br />\n"
		."<b>"._FYOUREMAIL." </b> <input type=\"text\" name=\"ymail\" value=\"$ye\" /><br /><br /><br />\n"
		."<b>"._FFRIENDNAME." </b> <input type=\"text\" name=\"fname\" /><br /><br />\n"
		."<b>"._FFRIENDEMAIL." </b> <input type=\"text\" name=\"fmail\" /><br /><br />\n"
		."<input type=\"hidden\" name=\"op\" value=\"SendStory\" />\n"
		."<input type=\"submit\" value="._SEND." />\n"
		."</form>\n";
    Max_CloseTable();
    incof();
}

function SendStory($sid, $yname, $ymail, $fname, $fmail) {
    global $sitename, $nukeurl, $prefix, $db, $module_name;
    $fname = stripslashes(removecrlf($fname));
    $fmail = stripslashes(removecrlf($fmail));
    $yname = stripslashes(removecrlf($yname));
    $ymail = stripslashes(removecrlf($ymail));
    $sid = $db->XMFnum($sid);
    $sql = "SELECT `title`, `time`, `topic` FROM `".TABLE_STORIES."` WHERE `sid`='$sid'";
    if ( !($result = $db->sql_query($sql)) )
{ query_die(MODULE_ERROR, 'Could not SELECT stories WebSite', '', __LINE__, __FILE__, $sql);}

    $row = $db->sql_fetchrow($result);
    $title = stripslashes(check_html($row['title'], "nohtml"));
    $time = stripslashes($row['time']);
    $topic = $db->XMFnum($row['topic']);

    $sql2 = "SELECT `topictext` FROM `".TABLE_TOPICS."` WHERE `topicid`='$topic'";
    if ( !($result2 = $db->sql_query($sql2)) )
{ query_die(MODULE_ERROR, 'Could not SELECT topics WebSite', '', __LINE__, __FILE__, $sql2);}

    $topictext = stripslashes(check_html($row2['topictext'], "nohtml"));
    $subject = ""._INTERESTING." $sitename";
    $message = ""._HELLO." $fname:\n\n"._YOURFRIEND." $yname "._CONSIDERED."\n\n\n$title\n("._FDATE." $time)\n"._FTOPIC." $topictext\n\n"._URL.": $nukeurl/modules.php?name=$module_name&file=article&sid=$sid\n\n"._YOUCANREAD." $sitename\n$nukeurl";
    mail($fmail, $subject, $message, "From: \"$yname\" <$ymail>\nX-Mailer: PHP/" . phpversion());
    //update_points(6);
    $title = urlencode($title);
    $fname = urlencode($fname);
    redirect_url("modules.php?name=$module_name&file=friend&op=StorySent&title=$title&fname=$fname");
}

function StorySent($title, $fname) {
    incoh();
    $title = htmlspecialchars(urldecode(check_html($title, "nohtml")));
    $fname = htmlspecialchars(urldecode($fname));
    Max_OpenTable();
    echo "<center><font class=\"content\">"._FSTORY." <b>$title</b> "._HASSENT." $fname... "._THANKS."</font></center>";
    Max_CloseTable();
    incof();
}

switch($op) {

    case "SendStory":
    SendStory($sid, $yname, $ymail, $fname, $fmail);
    break;

    case "StorySent":
    StorySent($title, $fname);
    break;

    case "FriendSend":
    FriendSend($sid);
    break;

}